Mandriva: 2012:053: ocsinventory
Posted by Benjamin D. Thomas   
Mandrake A vulnerability has been found and corrected in ocsinventory: Cross-site scripting (XSS) vulnerability in ocsinventory in OCS Inventory NG 2.0.1 and earlier allows remote attackers to inject arbitrary web script or HTML via unspecified vectors (CVE-2011-4024). [More...]
 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2012:053
 http://www.mandriva.com/security/
 _______________________________________________________________________

 Package : ocsinventory
 Date    : April 4, 2012
 Affected: Enterprise Server 5.0
 _______________________________________________________________________

 Problem Description:

 A vulnerability has been found and corrected in ocsinventory:
 
 Cross-site scripting (XSS) vulnerability in ocsinventory in OCS
 Inventory NG 2.0.1 and earlier allows remote attackers to inject
 arbitrary web script or HTML via unspecified vectors (CVE-2011-4024).
 
 The updated packages have been patched to correct this issue.
 _______________________________________________________________________

 References:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-4024
 _______________________________________________________________________

 Updated Packages:

 Mandriva Enterprise Server 5:
 12dd08c81f8f90f6939dd434d3d2fe4f  mes5/i586/ocsinventory-reports-1.02.3-0.2mdvmes5.2.noarch.rpm
 e4c05d2d757430c09ed85ed84e966762  mes5/i586/ocsinventory-server-1.02.3-0.2mdvmes5.2.noarch.rpm 
 35e61bc78f8a17d8f324e66bb8535b81  mes5/SRPMS/ocsinventory-1.02.3-0.2mdvmes5.2.src.rpm

 Mandriva Enterprise Server 5/X86_64:
 a47a0bcb0cd1522b6d773892700ac09e  mes5/x86_64/ocsinventory-reports-1.02.3-0.2mdvmes5.2.noarch.rpm
 1ce5b1fccf7275b99e708477687fc960  mes5/x86_64/ocsinventory-server-1.02.3-0.2mdvmes5.2.noarch.rpm 
 35e61bc78f8a17d8f324e66bb8535b81  mes5/SRPMS/ocsinventory-1.02.3-0.2mdvmes5.2.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/security/advisories

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________